% Original Fuchs and Raymond 2017 parameters
clear all;
Lambda  = -0.09;
Gamma   = 0.1;
epsilon = 0.06;
alpha   = 0.35;
OmegaInit = 0.01+0.01*i;

[growth, OMEGA, realOmega] = compareloopZ(OmegaInit,Lambda,Gamma,alpha,epsilon);

Lambda  = -0.03;
Gamma   = 0.1;
epsilon = 0.06;
alpha   = 0.35;
OmegaInit = 0.01+0.01*i;

[growth1, OMEGA1, realOmega1] = compareloopZ(OmegaInit,Lambda,Gamma,alpha,epsilon);

Lambda  = -0.01;
Gamma   = 0.1;
epsilon = 0.06;
alpha   = 0.35;
OmegaInit = 0.01+0.01*i;

[growth2, OMEGA2, realOmega2] = compareloopZ(OmegaInit,Lambda,Gamma,alpha,epsilon);

l = 1:0.05:10;

fontS = 12;

figure
subplot(2,1,1)
%plot(l,speed, 'linewidth',3)
plot(l,realOmega,'k', 'linewidth',3);hold on
plot(l,realOmega1,'r', 'linewidth',3);
plot(l,realOmega2,'b', 'linewidth',3);
legend('WISHE=-0.09','WISHE=-0.03','WISHE=-0.01','location','northwest');
ylabel({'realOmega','1/day'}, "fontsize", fontS)
%#title('n=1: \Lambda = -0.09, \Gamma = 0.2, \epsilon = 0', "fontsize", 14, 'FontWeight','Normal')
%#title('v=0: \Lambda = -0.09, \Gamma = 0.2, \epsilon = 0', "fontsize", 14, 'FontWeight','Normal')
xlim([0.5 3])
set(gca,'fontsize',fontS)

subplot(2,1,2)
%plot(l,growth,'linewidth',3); hold on
plot(l,growth,'k', 'linewidth',3);hold on
plot(l,growth1,'r', 'linewidth',3);
plot(l,growth2,'b', 'linewidth',3);
plot([0 5],[0 0], 'b--')
%#axis([-0.2:0.2:1.2])
xlabel('planetary wavenumber', "fontsize", fontS)
ylabel({'growth rate','(1/day)'}, "fontsize", fontS)
%ylim([0.2 0.3])
xlim([0.5 3])
set(gca,'fontsize',fontS)
